package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.DataSource;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DataSourceMapper {

    /**
     * 查询数据源列表
     *
     */
    public List<DataSource> selectDataSourceList(DataSource dataSource);

    /**
     * 查询同一数据源下数据库是否存在
     */
    int selectDatabaseExist(@Param("databaseIp") String databaseIp,@Param("databaseName") String databaseName,@Param("portNumber") Long portNumber);

    /**
     * 新增数据源
     */
    int insertDataSource(DataSource dataSource);

    /**
     * 根据编号查询数据源
     */
    DataSource selectById(Long id);

}
